#[macro_use] extern crate rocket;
mod routes;
use routes::{block, transaction, address, search};

#[get("/")]
fn index() -> &'static str {
    "Hello, world!"
}

#[launch]
fn rocket() -> _ {
    rocket::build()
        .mount("/", routes![index])
        .mount("/block", routes![block::height, block::hash])
        .mount("/transaction", routes![transaction::hash, transaction::receipt])
        .mount("/address", routes![address::show])
        .mount("/search", routes![search::show])
}